summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMart Raudsepp <leio@gentoo.org>2019-03-30 23:59:58 +0200
committerMart Raudsepp <leio@gentoo.org>2019-03-30 23:59:58 +0200
commit645a7def930e5891efe2942f7bb29bbfa2e0d7d5 (patch)
treef7b3b2b02a44915ec2eda740445789804eb73404 /gnome-base
parentgnome-base/gnome-session: remove old (diff)
downloadgentoo-645a7def930e5891efe2942f7bb29bbfa2e0d7d5.tar.gz
gentoo-645a7def930e5891efe2942f7bb29bbfa2e0d7d5.tar.bz2
gentoo-645a7def930e5891efe2942f7bb29bbfa2e0d7d5.zip
gnome-base/gnome-settings-daemon: remove old
Package-Manager: Portage-2.3.52, Repoman-2.3.12 Signed-off-by: Mart Raudsepp <leio@gentoo.org>
Diffstat (limited to 'gnome-base')
-rw-r--r--gnome-base/gnome-settings-daemon/Manifest4
-rw-r--r--gnome-base/gnome-settings-daemon/files/3.28.1-fix-non-wayland-build.patch88
-rw-r--r--gnome-base/gnome-settings-daemon/gnome-settings-daemon-3.26.2-r1.ebuild132
-rw-r--r--gnome-base/gnome-settings-daemon/gnome-settings-daemon-3.28.1-r1.ebuild132
-rw-r--r--gnome-base/gnome-settings-daemon/gnome-settings-daemon-3.30.2.ebuild130
5 files changed, 0 insertions, 486 deletions
diff --git a/gnome-base/gnome-settings-daemon/Manifest b/gnome-base/gnome-settings-daemon/Manifest
index 150fea5e155..419a91fa4d5 100644
--- a/gnome-base/gnome-settings-daemon/Manifest
+++ b/gnome-base/gnome-settings-daemon/Manifest
@@ -1,8 +1,4 @@
DIST gnome-settings-daemon-3.24.4-patchset.tar.xz 5224 BLAKE2B f01db03ce3980a74324972871643e573bc51a184fe12e7a40796b7ca1bbfac37ecad1fae2f8a62fba0038a672dc4958b242316dc3dc97a59b37a2e4e4f5e9973 SHA512 fe5bf846774b126e8ed89bc8043e8c02b567cc55d602c5becd84a14c7a414fc663ae1767a552b585defb462ffe88b4838f87445c9599fda37f197e8f2eaad8cb
DIST gnome-settings-daemon-3.24.4.tar.xz 1632700 BLAKE2B 616aad6984df726c438117ab98e8c5a35bd02a6ebbc3c24fc46b50e8b3ca3f3d5bede0588cfe9bbdfcaccc70ff5799feeabf020ec4beb03d653ae81abc6325f8 SHA512 4a3b1069d80263a92ae2c2a420f7dc70a1ff92346d5cbeb1e7dd4af0419e039ebe958550594d87929c0333c19aa9a3ef7ca9b9751109a9da64a40d81ba067cc0
-DIST gnome-settings-daemon-3.26.2-patchset.tar.xz 42408 BLAKE2B 3b54dd1b161f4137eeb7c110be70444e3b8eb602a7d1c12ec6aaa32d887d46c3e1dc61df2a04895b7c6e2d67a68edeced5f758f688533caa9900deace7b6d542 SHA512 3ab36a03e2892ad193f420722025753990158ac450c686b9fba490cda4e7e1be69574dd4d3b9c8ed5e238f23933065abc28aee480ff1e2e5dad28e364c04fc0b
-DIST gnome-settings-daemon-3.26.2.tar.xz 1589696 BLAKE2B f1fd18e80caf5badb0da1f07cbe994b73a99ace004bf3b568114d6cd6110ebd092ee3a023a1ec818f3946f6f7cdb7ee21417782e271c8aa9ebd9d1d4c35ea286 SHA512 7785ebcb7df466c50557b75a3092f568e375adcf5a40f73e31d5cc69fa63bc556a4447a96e6e612c3bf523735e67168afae0b9c1fab32912d41014436d33b7ff
-DIST gnome-settings-daemon-3.28.1-patchset.tar.xz 5216 BLAKE2B eab85f6475c1da9c8beb1dea7d7d79bdaf2e57ac82e90a4ab877e5ffbd8423df8ed5dbd03ac6586a3aadf2be16b89e2955267be24af71db8c89cc407241e0bc9 SHA512 f56a5d62ba45976a01c8fcab63c4d7afd21dbe7a4c75158cc54fc60552faf875b0ca1be7a882c11d814566e7a4ded63ce52d10d214bd1f7926c2d7b0dbaf1590
-DIST gnome-settings-daemon-3.28.1.tar.xz 1362420 BLAKE2B d809696ea7a2df3b89b1e2badbd015623e624c38f44a087e26d167c7ba9a5499a33e6e4ebb12448f69d8aa645154bc176a156f1b9e4a749684e5a497a7be6fc6 SHA512 22e42ce92a6f3ad67a0ef7d1676a6dd3d533b0bc91193d8b2a19a51d7c9601c87caf391c233bb1b96e8a1270d610aca52523d0ae12a38b0e3911065c3a67e10f
DIST gnome-settings-daemon-3.30.2-patchset.tar.xz 20132 BLAKE2B b8f2573e806ee5aedcc1476de3550cdc39933c869d64c9d13e463cdf27fa7695e69e57612738fa5438988eda78ae998808508c94fbf841ec037eb1f103921458 SHA512 7318029f4145379b05f7a95686917b4ea7623fd0059559930072350db12170d6083d75c170578516bcede5282da677013086c343abe779b9d1696bd882b7e34d
DIST gnome-settings-daemon-3.30.2.tar.xz 1376776 BLAKE2B a7cf276c5a802b7d9a6f738048b5bc34d97f79723c6f4cfb4f29ac3ed0f43e307cbdd6793e8d8115f51981ee576737d75c58531dcd5d0779d9f3670b68523a60 SHA512 517cb6bab3da10d5d47ab9c9690da3fa23e64d023d01b7cc101441f6b65639f3b6c8d0a0d19da80b22924b3dbe6430b2573fb861060f02fda248b24f00be5d84
diff --git a/gnome-base/gnome-settings-daemon/files/3.28.1-fix-non-wayland-build.patch b/gnome-base/gnome-settings-daemon/files/3.28.1-fix-non-wayland-build.patch
deleted file mode 100644
index dd003d6c069..00000000000
--- a/gnome-base/gnome-settings-daemon/files/3.28.1-fix-non-wayland-build.patch
+++ /dev/null
@@ -1,88 +0,0 @@
-From 91d5e708835b4c7810835d59b8ef5968454cfd0a Mon Sep 17 00:00:00 2001
-From: Ting-Wei Lan <lantw@src.gnome.org>
-Date: Fri, 15 Jun 2018 23:05:01 +0800
-Subject: [PATCH 1/2] common: Fix build with wayland disabled on FreeBSD
-
-HAVE_WAYLAND is always defined. We should check whether it is set to a
-non-zero value instead of checking whether it is defined.
-
-(cherry picked from commit 34199fa54641abae15199a311002ac726f47aa89)
----
- plugins/common/gsd-device-manager.c | 2 +-
- 1 file changed, 1 insertion(+), 1 deletion(-)
-
-diff --git a/plugins/common/gsd-device-manager.c b/plugins/common/gsd-device-manager.c
-index 541f2948..ff72ad69 100644
---- a/plugins/common/gsd-device-manager.c
-+++ b/plugins/common/gsd-device-manager.c
-@@ -275,7 +275,7 @@ gsd_device_manager_get (void)
- manager = g_object_get_data (G_OBJECT (screen), "gsd-device-manager-data");
-
- if (!manager) {
--#ifdef HAVE_WAYLAND
-+#if HAVE_WAYLAND
- if (gnome_settings_is_wayland ()) {
- manager = g_object_new (GSD_TYPE_UDEV_DEVICE_MANAGER,
- NULL);
---
-2.17.0
-
-
-From 218f1ff0a3c6c500fd36601a4db6902fc1c57a43 Mon Sep 17 00:00:00 2001
-From: Marvin Schmidt <marv@exherbo.org>
-Date: Fri, 22 Jun 2018 20:12:50 +0200
-Subject: [PATCH 2/2] build: Fix build when wayland support is disabled
-
-The udev based device manager used for wayland environments was built
-based on the state of the gudev option instead of the wayland option.
-This resulted in an build error when building with `-Dwayland=false`
-since the gdk/gdkwayland.h header file is not present on systems without
-gdk-wayland-3.0.
-
-This patch puts the compilation of the udev based device manager behind
-the wayland option and the gdk-wayland-3.0 dependency
-
-(cherry picked from commit 51088a9c27d713bbe63359b865603c833eb5a930)
----
- meson.build | 3 ++-
- plugins/common/meson.build | 4 ++--
- 2 files changed, 4 insertions(+), 3 deletions(-)
-
-diff --git a/meson.build b/meson.build
-index 79c493a1..27fdd049 100644
---- a/meson.build
-+++ b/meson.build
-@@ -129,11 +129,12 @@ if enable_colord
- colord_dep = dependency('colord', version: '>= 1.0.2')
- endif
-
--# Check for libwayland-client
-+# Check for wayland dependencies
- enable_wayland = get_option('wayland')
- if enable_wayland
- assert(enable_gudev, 'GUDev support is required for wayland support.')
- wayland_client_dep = dependency('wayland-client')
-+ wayland_gdk_dep = dependency('gdk-wayland-3.0')
- endif
- config_h.set10('HAVE_WAYLAND', enable_wayland)
-
-diff --git a/plugins/common/meson.build b/plugins/common/meson.build
-index 65a0757c..6bda2d2a 100644
---- a/plugins/common/meson.build
-+++ b/plugins/common/meson.build
-@@ -42,10 +42,10 @@ if host_is_darwin
- ldflags += ['-Wl,-bundle_loader,@0@'.format(join_paths(), meson.build_root(), meson.project_name(), meson.project_name())]
- endif
-
--if enable_gudev
-+if enable_wayland
- sources += files('gsd-device-manager-udev.c')
-
-- deps += gudev_dep
-+ deps += [wayland_gdk_dep, gudev_dep]
- endif
-
- if enable_wacom
---
-2.17.0
-
diff --git a/gnome-base/gnome-settings-daemon/gnome-settings-daemon-3.26.2-r1.ebuild b/gnome-base/gnome-settings-daemon/gnome-settings-daemon-3.26.2-r1.ebuild
deleted file mode 100644
index b7c6a9990f9..00000000000
--- a/gnome-base/gnome-settings-daemon/gnome-settings-daemon-3.26.2-r1.ebuild
+++ /dev/null
@@ -1,132 +0,0 @@
-# Copyright 1999-2018 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-GNOME2_EAUTORECONF="yes"
-GNOME2_LA_PUNT="yes"
-#PYTHON_COMPAT=( python{2_7,3_4,3_5,3_6} ) # https://bugzilla.gnome.org/show_bug.cgi?id=783186
-PYTHON_COMPAT=( python2_7 )
-
-inherit gnome2 python-any-r1 udev virtualx
-
-DESCRIPTION="Gnome Settings Daemon"
-HOMEPAGE="https://git.gnome.org/browse/gnome-settings-daemon"
-SRC_URI+=" https://dev.gentoo.org/~leio/distfiles/${P}-patchset.tar.xz"
-
-LICENSE="GPL-2+"
-SLOT="0"
-IUSE="+colord +cups debug elogind input_devices_wacom networkmanager policykit smartcard systemd test +udev wayland"
-REQUIRED_USE="
- ^^ ( elogind systemd )
- input_devices_wacom? ( udev )
- smartcard? ( udev )
- wayland? ( udev )
-"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd ~amd64-linux ~x86-linux ~x86-solaris"
-
-COMMON_DEPEND="
- >=dev-libs/glib-2.53.0:2
- >=x11-libs/gtk+-3.15.3:3[X,wayland?]
- >=gnome-base/gnome-desktop-3.11.1:3=
- >=gnome-base/gsettings-desktop-schemas-3.23.3
- >=gnome-base/librsvg-2.36.2:2
- media-fonts/cantarell
- media-libs/alsa-lib
- media-libs/fontconfig
- media-libs/libcanberra[gtk3]
- >=media-sound/pulseaudio-2
- >=sys-power/upower-0.99:=
- x11-libs/cairo
- x11-libs/gdk-pixbuf:2
- >=x11-libs/libnotify-0.7.3:=
- x11-libs/libX11
- x11-libs/libxkbfile
- x11-libs/libXi
- x11-libs/libXext
- x11-libs/libXfixes
- x11-libs/libXtst
- x11-libs/libXxf86misc
- x11-misc/xkeyboard-config
-
- >=app-misc/geoclue-2.3.1:2.0
- >=dev-libs/libgweather-3.9.5:2=
- >=sci-geosciences/geocode-glib-3.10
- >=sys-auth/polkit-0.103
-
- colord? (
- >=media-libs/lcms-2.2:2
- >=x11-misc/colord-1.0.2:= )
- cups? ( >=net-print/cups-1.4[dbus] )
- input_devices_wacom? (
- >=dev-libs/libwacom-0.7
- >=x11-libs/pango-1.20
- x11-drivers/xf86-input-wacom
- virtual/libgudev:= )
- networkmanager? ( >=net-misc/networkmanager-1.0 )
- smartcard? ( >=dev-libs/nss-3.11.2 )
- udev? ( virtual/libgudev:= )
- wayland? ( dev-libs/wayland )
-"
-# logind needed for power and session management, bug #464944
-# gnome-session-3.25.4 adapts to Orientation and XRANDR components removal (moved to mutter)
-RDEPEND="${COMMON_DEPEND}
- gnome-base/dconf
- elogind? ( sys-auth/elogind )
- systemd? ( sys-apps/systemd )
- !<gnome-base/gnome-session-3.25.4
-"
-DEPEND="${COMMON_DEPEND}
- test? (
- ${PYTHON_DEPS}
- $(python_gen_any_dep 'dev-python/pygobject:3[${PYTHON_USEDEP}]')
- $(python_gen_any_dep 'dev-python/dbusmock[${PYTHON_USEDEP}]')
- gnome-base/gnome-session )
- dev-libs/libxml2:2
- dev-util/glib-utils
- sys-devel/gettext
- >=dev-util/intltool-0.40
- virtual/pkgconfig
- x11-base/xorg-proto
-"
-
-# Tests go a bit better in 3.26, but still fail some for me; revisit with 3.28+
-RESTRICT="!test? ( test )"
-
-PATCHES=(
- # upstream gnome-3-26 branch up to its abandonment in February 2018 (many unreleased fixes); requires eautoreconf
- # Make colord and wacom optional; requires eautoreconf
- # Allow specifying udevrulesdir via configure, bug 509484; requires eautoreconf
- # Fix build system to require gudev with wayland, bug #627966; requires eautoreconf
- "${WORKDIR}"/patches/
- "${FILESDIR}"/glib-2.58-compat.patch # included in 3.29.1+, might be backported to 3.28 too
-)
-
-python_check_deps() {
- if use test; then
- has_version "dev-python/pygobject:3[${PYTHON_USEDEP}]" &&
- has_version "dev-python/dbusmock[${PYTHON_USEDEP}]"
- fi
-}
-
-pkg_setup() {
- use test && python-any-r1_pkg_setup
-}
-
-src_configure() {
- gnome2_src_configure \
- --disable-static \
- --with-udevrulesdir="$(get_udevdir)"/rules.d \
- $(use_enable colord color) \
- $(use_enable cups) \
- $(use_enable debug) \
- $(use_enable debug more-warnings) \
- $(use_enable networkmanager network-manager) \
- $(use_enable smartcard smartcard-support) \
- $(use_enable udev gudev) \
- $(use_enable input_devices_wacom wacom) \
- $(use_enable wayland)
-}
-
-src_test() {
- virtx emake check
-}
diff --git a/gnome-base/gnome-settings-daemon/gnome-settings-daemon-3.28.1-r1.ebuild b/gnome-base/gnome-settings-daemon/gnome-settings-daemon-3.28.1-r1.ebuild
deleted file mode 100644
index 16058730679..00000000000
--- a/gnome-base/gnome-settings-daemon/gnome-settings-daemon-3.28.1-r1.ebuild
+++ /dev/null
@@ -1,132 +0,0 @@
-# Copyright 1999-2019 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-PYTHON_COMPAT=( python{3_4,3_5,3_6,3_7} )
-
-inherit gnome.org gnome2-utils python-any-r1 meson udev virtualx xdg
-
-DESCRIPTION="Gnome Settings Daemon"
-HOMEPAGE="https://git.gnome.org/browse/gnome-settings-daemon"
-SRC_URI+=" https://dev.gentoo.org/~leio/distfiles/${P}-patchset.tar.xz"
-
-LICENSE="GPL-2+ LGPL-2+"
-SLOT="0"
-IUSE="+colord +cups debug elogind input_devices_wacom networkmanager smartcard systemd test +udev wayland"
-REQUIRED_USE="
- ^^ ( elogind systemd )
- input_devices_wacom? ( udev )
- wayland? ( udev )
-"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd ~amd64-linux ~x86-linux ~x86-solaris"
-
-# >=polkit-0.114 for ITS translation rules of .policy files
-COMMON_DEPEND="
- >=sci-geosciences/geocode-glib-3.10
- >=dev-libs/glib-2.53.0:2
- >=gnome-base/gnome-desktop-3.11.1:3=
- >=gnome-base/gsettings-desktop-schemas-3.23.3
- >=x11-libs/gtk+-3.15.3:3[X,wayland?]
- >=dev-libs/libgweather-3.9.5:2=
- colord? (
- >=x11-misc/colord-1.0.2:=
- >=media-libs/lcms-2.2:2 )
- media-libs/libcanberra[gtk3]
- >=app-misc/geoclue-2.3.1:2.0
- >=x11-libs/libnotify-0.7.3
- >=media-sound/pulseaudio-2[glib]
- >=sys-auth/polkit-0.114
- >=sys-power/upower-0.99:=
- x11-libs/libX11
- x11-libs/libXtst
- udev? ( virtual/libgudev:= )
- wayland? ( dev-libs/wayland )
- input_devices_wacom? ( >=dev-libs/libwacom-0.7
- >=x11-libs/pango-1.20.0
- x11-libs/gdk-pixbuf:2 )
- smartcard? ( >=dev-libs/nss-3.11.2 )
- cups? ( >=net-print/cups-1.4[dbus] )
- networkmanager? ( >=net-misc/networkmanager-1.0 )
- media-libs/alsa-lib
- x11-libs/libXi
- x11-libs/libXext
- media-libs/fontconfig
-"
-# logind needed for power and session management, bug #464944
-# gnome-session-3.27.90 and gdm-3.27.9 adapt to A11yKeyboard component removal (moved to shell dealing with it)
-RDEPEND="${COMMON_DEPEND}
- gnome-base/dconf
- elogind? ( sys-auth/elogind )
- systemd? ( sys-apps/systemd )
- !<gnome-base/gnome-session-3.27.90
- !<gnome-base/gdm-3.27.90
-"
-# rfkill requires linux/rfkill.h, thus linux-headers dep, not os-headers. If this package wants to work on other kernels, we need to make rfkill conditional instead
-DEPEND="${COMMON_DEPEND}
- sys-kernel/linux-headers
- dev-util/glib-utils
- dev-util/gdbus-codegen
- x11-base/xorg-proto
- ${PYTHON_DEPS}
- test? (
- $(python_gen_any_dep 'dev-python/pygobject:3[${PYTHON_USEDEP}]')
- $(python_gen_any_dep 'dev-python/dbusmock[${PYTHON_USEDEP}]')
- gnome-base/gnome-session )
- >=sys-devel/gettext-0.19.8
- virtual/pkgconfig
-"
-
-# Tests go a bit better in 3.26, but still fail some for me; revisit with 3.30+ (incompatible build system python needs until then as well)
-RESTRICT="!test? ( test )"
-
-PATCHES=(
- # upstream gnome-3-28 branch up to its abandonment in August 2018 (small bug fixes)
- # Allow disabling udev and networkmanager on Linux
- # Make colord and wacom optional
- # glib 2.58 compatibility fix; included in 3.29.1+
- "${WORKDIR}"/patches/
- # Fix non-wayland builds; 3.32 won't have this device manager code anymore, so nothing to upstream
- "${FILESDIR}"/${PV}-fix-non-wayland-build.patch
-)
-
-python_check_deps() {
- if use test; then
- has_version "dev-python/pygobject:3[${PYTHON_USEDEP}]" &&
- has_version "dev-python/dbusmock[${PYTHON_USEDEP}]"
- fi
-}
-
-pkg_setup() {
- use test && python-any-r1_pkg_setup
-}
-
-src_configure() {
- local emesonargs=(
- #-Dnssdb_dir # TODO: Is the default /etc/pki/nssdb path correct for our nss?
- -Dudev_dir="$(get_udevdir)"
- -Dalsa=true
- $(meson_use udev gudev)
- $(meson_use colord)
- $(meson_use cups)
- $(meson_use networkmanager network_manager)
- -Drfkill=true
- $(meson_use smartcard)
- $(meson_use input_devices_wacom wacom)
- $(meson_use wayland)
- )
- meson_src_configure
-}
-
-src_test() {
- virtx meson_src_test
-}
-
-pkg_postinst() {
- xdg_pkg_postinst
- gnome2_schemas_update
-}
-
-pkg_postrm() {
- xdg_pkg_postrm
- gnome2_schemas_update
-}
diff --git a/gnome-base/gnome-settings-daemon/gnome-settings-daemon-3.30.2.ebuild b/gnome-base/gnome-settings-daemon/gnome-settings-daemon-3.30.2.ebuild
deleted file mode 100644
index 98e4f1b2b1b..00000000000
--- a/gnome-base/gnome-settings-daemon/gnome-settings-daemon-3.30.2.ebuild
+++ /dev/null
@@ -1,130 +0,0 @@
-# Copyright 1999-2019 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-PYTHON_COMPAT=( python{3_4,3_5,3_6,3_7} )
-
-inherit gnome.org gnome2-utils python-any-r1 meson udev virtualx xdg
-
-DESCRIPTION="Gnome Settings Daemon"
-HOMEPAGE="https://git.gnome.org/browse/gnome-settings-daemon"
-SRC_URI+=" https://dev.gentoo.org/~leio/distfiles/${P}-patchset.tar.xz"
-
-LICENSE="GPL-2+ LGPL-2+"
-SLOT="0"
-IUSE="+colord +cups debug elogind input_devices_wacom networkmanager smartcard systemd test +udev wayland"
-REQUIRED_USE="
- ^^ ( elogind systemd )
- input_devices_wacom? ( udev )
- wayland? ( udev )
-"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd ~amd64-linux ~x86-linux ~x86-solaris"
-
-# >=polkit-0.114 for ITS translation rules of .policy files
-COMMON_DEPEND="
- >=sci-geosciences/geocode-glib-3.10
- >=dev-libs/glib-2.53.0:2
- >=gnome-base/gnome-desktop-3.11.1:3=
- >=gnome-base/gsettings-desktop-schemas-3.27.90
- >=x11-libs/gtk+-3.15.3:3[X,wayland?]
- >=dev-libs/libgweather-3.9.5:2=
- colord? (
- >=x11-misc/colord-1.0.2:=
- >=media-libs/lcms-2.2:2 )
- media-libs/libcanberra[gtk3]
- >=app-misc/geoclue-2.3.1:2.0
- >=x11-libs/libnotify-0.7.3
- >=media-sound/pulseaudio-2[glib]
- >=sys-auth/polkit-0.114
- >=sys-power/upower-0.99:=
- x11-libs/libX11
- x11-libs/libXtst
- udev? ( virtual/libgudev:= )
- wayland? ( dev-libs/wayland )
- input_devices_wacom? ( >=dev-libs/libwacom-0.7
- >=x11-libs/pango-1.20.0
- x11-libs/gdk-pixbuf:2 )
- smartcard? ( >=dev-libs/nss-3.11.2 )
- cups? ( >=net-print/cups-1.4[dbus] )
- networkmanager? ( >=net-misc/networkmanager-1.0 )
- media-libs/alsa-lib
- x11-libs/libXi
- x11-libs/libXext
- media-libs/fontconfig
-"
-# logind needed for power and session management, bug #464944
-# gnome-session-3.27.90 and gdm-3.27.9 adapt to A11yKeyboard component removal (moved to shell dealing with it)
-RDEPEND="${COMMON_DEPEND}
- gnome-base/dconf
- elogind? ( sys-auth/elogind )
- systemd? ( sys-apps/systemd )
- !<gnome-base/gnome-session-3.27.90
- !<gnome-base/gdm-3.27.90
-"
-# rfkill requires linux/rfkill.h, thus linux-headers dep, not os-headers. If this package wants to work on other kernels, we need to make rfkill conditional instead
-DEPEND="${COMMON_DEPEND}
- sys-kernel/linux-headers
- dev-util/glib-utils
- dev-util/gdbus-codegen
- x11-base/xorg-proto
- ${PYTHON_DEPS}
- test? (
- $(python_gen_any_dep 'dev-python/pygobject:3[${PYTHON_USEDEP}]')
- $(python_gen_any_dep 'dev-python/dbusmock[${PYTHON_USEDEP}]')
- gnome-base/gnome-session )
- >=sys-devel/gettext-0.19.8
- virtual/pkgconfig
-"
-
-# Tests go a bit better in 3.26, but still fail some for me; revisit with 3.30+ (incompatible build system python needs until then as well)
-#RESTRICT="!test? ( test )"
-
-PATCHES=(
- # Translation updates from gnome-3-30 branch
- # Allow disabling udev and networkmanager on Linux
- # Make colord and wacom optional
- "${WORKDIR}"/patches/
-)
-
-python_check_deps() {
- if use test; then
- has_version "dev-python/pygobject:3[${PYTHON_USEDEP}]" &&
- has_version "dev-python/dbusmock[${PYTHON_USEDEP}]"
- fi
-}
-
-pkg_setup() {
- python-any-r1_pkg_setup
-}
-
-src_configure() {
- local emesonargs=(
- #-Dnssdb_dir # TODO: Is the default /etc/pki/nssdb path correct for our nss?
- -Dudev_dir="$(get_udevdir)"
- -Dalsa=true
- $(meson_use udev gudev)
- $(meson_use colord)
- $(meson_use cups)
- $(meson_use networkmanager network_manager)
- -Drfkill=true
- $(meson_use smartcard)
- $(meson_use input_devices_wacom wacom)
- $(meson_use wayland)
- -Dexperimental_suspend_then_hibernate=false
- )
- meson_src_configure
-}
-
-src_test() {
- virtx meson_src_test
-}
-
-pkg_postinst() {
- xdg_pkg_postinst
- gnome2_schemas_update
-}
-
-pkg_postrm() {
- xdg_pkg_postrm
- gnome2_schemas_update
-}